diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Language.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Language.java
index 2d93f8305f..f0e39316bf 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Language.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/Language.java
@@ -17,6 +17,7 @@ import java.util.UUID;
 
 import javax.persistence.Column;
 import javax.persistence.Entity;
+import javax.persistence.Transient;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlAttribute;
@@ -48,6 +49,8 @@ public class Language extends DefinedTermBase<Language> {
     private static final long serialVersionUID = -5030610079904074217L;
     private static final Logger logger = Logger.getLogger(Language.class);
 
+    public static final UUID uuidLanguageVocabulary = UUID.fromString("45ac7043-7f5e-4f37-92f2-3874aaaef2de");
+    
     public static final UUID uuidEnglish = UUID.fromString("e9f8cdb7-6819-44e8-95d3-e2d0690c3523");
 
     private static final UUID uuidAfar = UUID.fromString("b3ad88e2-0080-466f-9bf4-b01ba4122563");
@@ -541,6 +544,8 @@ public class Language extends DefinedTermBase<Language> {
 
     protected static Map<UUID, Language> termMap = null;
 
+// *************************** Factory MEthods ********************************/    
+    
     public static Language NewInstance(){
         return new Language();
     }
@@ -565,48 +570,57 @@ public class Language extends DefinedTermBase<Language> {
         return new Language(term, label, labelAbbrev);
     }
 
-    public static Language NewInstance(UUID uuid, String label, String iso639_3){
-        Language result = Language.NewInstance(label, label, iso639_3);
+    public static Language NewInstance(UUID uuid, String label, String iso639_2){
+        Language result = Language.NewInstance(label, label, iso639_2);
         result.setUuid(uuid);
-        result.setIso639_2(iso639_3);
+//        result.setIso639_2(iso639_2);
         return result;
     }
 
-
+//**************** Attributes *************************************/    
+    
     @XmlAttribute(name = "iso639_1")
     //TODO create userDefinedType ?
     @Column(length=2)
     private String iso639_1;
 
-    @XmlAttribute(name = "iso639_2")
-    //TODO create userDefinedType ?
-    @Column(length=3)
-    private String iso639_2;
+//    @XmlAttribute(name = "iso639_2")
+//    //TODO create userDefinedType ?
+//    @Column(length=3)
+//    private String iso639_2;
 
-    public Language() {
-    }
+//***** CONSTRUCTOR ***************************************/    
+    
+    //for hibernate use only
+    @Deprecated
+    protected Language() {
+   		super(TermType.Language);
+    };
+    
     public Language(UUID uuid) {
-        this.setUuid(uuid);
+        super(TermType.Language);
+    	this.setUuid(uuid);
     }
-    public Language(String iso639_1, String iso639_2, String englishLabel, String frenchLabel) throws Exception {
-        super();
-        if(iso639_1 != null && iso639_1.length() > 2){
-            logger.warn("iso639_1 too long: "+iso639_1.toString());
+    public Language(String iso639_1, String iso639_x2, String englishLabel, String frenchLabel) throws Exception {
+        super(TermType.Language);
+        if(iso639_1 != null && iso639_1.length() != 2){
+            logger.warn("iso639_1 is not of size 2: "+iso639_1.toString());
         }
-        if(iso639_1 != null && iso639_2.length() > 3){
-            logger.warn("iso639_2 too long: "+iso639_2.toString());
+        if(iso639_x2 != null && iso639_x2.length() != 3){
+            logger.warn("iso639_2 is not of size 3: "+iso639_x2.toString());
         }
         this.iso639_1=iso639_1;
-        this.iso639_2=iso639_2;
+//        this.iso639_2=iso639_2;
         String textEnglish = englishLabel;
         String textFrench = englishLabel;
-        String label = iso639_2;
+        String label = iso639_x2;
         String labelAbbrev = null;
         this.addRepresentation(new Representation(textEnglish, label, labelAbbrev, Language.ENGLISH()));
         this.addRepresentation(new Representation(textFrench, label, labelAbbrev, Language.FRENCH()));
     }
     public Language(String text, String label, String labelAbbrev, Language lang) {
-        this.addRepresentation(new Representation(text,label,labelAbbrev, lang));
+        super(TermType.Language);
+    	this.addRepresentation(new Representation(text,label,labelAbbrev, lang));
     }
     public Language(String label, String text, String labelAbbrev) {
         this(label,text,labelAbbrev, DEFAULT());
@@ -1168,37 +1182,40 @@ public class Language extends DefinedTermBase<Language> {
      *
      * @return the iso639 alpha-3 language code or null if not available
      */
+    @Transient
     public String getIso639_2() {
-        return iso639_2;
+        return getIdInVocabulary();
     }
 
-    public void setIso639_2(String iso639_2) {
-        if (iso639_2 != null){
-            iso639_2 = iso639_2.trim();
-            if(iso639_2.length() > 3 ){
-                logger.warn("Iso639-2: "+iso639_2+" too long");
-            }
-        }
-        this.iso639_2 = iso639_2;
-    }
+//    public void setIso639_2(String iso639_2) {
+//        if (iso639_2 != null){
+//            iso639_2 = iso639_2.trim();
+//            if(iso639_2.length() > 3 ){
+//                logger.warn("Iso639-2: "+iso639_2+" too long");
+//            }
+//        }
+//        this.iso639_2 = iso639_2;
+//    }
 
     @Override
-    public Language readCsvLine(Class<Language> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
+    public Language readCsvLine(Class<Language> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms, boolean abbrevAsId) {
         try {
             Language newInstance =  Language.class.newInstance();
             if ( UUID.fromString(csvLine.get(0).toString()).equals(Language.uuidEnglish)){
-                DefinedTermBase.readCsvLine(newInstance, csvLine, newInstance);
+                DefinedTermBase.readCsvLine(newInstance, csvLine, newInstance, abbrevAsId);
             }else{
-                DefinedTermBase.readCsvLine(newInstance,csvLine,(Language)terms.get(Language.uuidEnglish));
+                DefinedTermBase.readCsvLine(newInstance,csvLine,(Language)terms.get(Language.uuidEnglish), abbrevAsId);
             }
-
-            newInstance.setIso639_2(csvLine.get(4).trim());
+            
+//          newInstance.setIso639_2(csvLine.get(4).trim());   //does not exist anymore
+//          newInstance.setIdInVocabulary(csvLine.get(4).trim());  //same as abbrev
+            
             newInstance.setIso639_1(csvLine.get(5).trim());
             //TODO could replace with generic validation
             if(iso639_1 != null && iso639_1.length() > 2){
                 logger.warn("Iso639-1: "+ newInstance.getIso639_1() +" from "+csvLine.get(3)+" ,"+csvLine.get(2)+" too long");
             }
-            if(iso639_2 != null &&  iso639_2.length() > 3 ){
+            if(getIdInVocabulary() != null &&  getIdInVocabulary().length() != 3 ){
                 logger.warn("Iso639-2: "+newInstance.getIso639_2()+" from "+csvLine.get(3)+" ,"+csvLine.get(2)+" too long");
             }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MarkerType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MarkerType.java
index 8006d560c8..e003fec149 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MarkerType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MarkerType.java
@@ -30,7 +30,6 @@ import org.hibernate.search.annotations.Indexed;
  * Marker types similar to dynamically defined attributes. These  content types
  * like "IS_DOUBTFUL", "COMPLETE"  or specific local flags.
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:33
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -55,27 +54,33 @@ public class MarkerType extends DefinedTermBase<MarkerType> {
 
 	protected static Map<UUID, MarkerType> termMap = null;
 
-	public static MarkerType NewInstance(String term, String label, String labelAbbrev){
-		return new MarkerType(term, label, labelAbbrev);
-	}
-
-
-
     @XmlAttribute(name = "isTechnical")
     @Field(analyze = Analyze.NO)
     private boolean isTechnical=false;
 
+ // ***************************** FACTORY METHODD ************************/
+    
+	public static MarkerType NewInstance(String term, String label, String labelAbbrev){
+		return new MarkerType(term, label, labelAbbrev);
+	}
 
 
+// ***************************** CONSTRUCTOR ******************************/
+    
+	//for hibernate use only
+	@Deprecated
+	protected MarkerType() {
+		super(TermType.MarkerType);
+	}
 
-	/**
-	 * Constructor
-	 * @param term
-	 * @param label
-	 */
-	public MarkerType() {
+//***************************** CONSTRUCTOR **************************************/
+
+	private MarkerType(String term, String label, String labelAbbrev) {
+		super(TermType.MarkerType, term, label, labelAbbrev);
 	}
 
+// ******************** METHODS **************************************************/	
+
 	/**
 	 * A flag indicating if markers of this type are user content or technical information
 	 * to be used by applications only. E.g. a FeatureTree may have a marker that defines
@@ -96,20 +101,9 @@ public class MarkerType extends DefinedTermBase<MarkerType> {
 		this.isTechnical = isTechnical;
 	}
 
-//***************************** CONSTRUCTOR **************************************/
-
-	/**
-	 * Constructor
-	 * @param term
-	 * @param label
-	 */
-	protected MarkerType(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
-	}
-
 //***************************** TERMS **************************************/
 
-
+	
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.cdm.model.common.DefinedTermBase#resetTerms()
 	 */
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MultilanguageText.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MultilanguageText.java
index dd50ff3fe4..434961c7f3 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MultilanguageText.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/MultilanguageText.java
@@ -14,7 +14,7 @@ import java.util.List;
 
 import org.apache.log4j.Logger;
 
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 
 /**
  * @author m.doering
@@ -106,9 +106,9 @@ public class MultilanguageText extends HashMap<Language, LanguageString> impleme
 	 * Clones <i>this</i> multi-language text. This is a shortcut that enables to
 	 * create a new instance that differs only slightly from <i>this</i> multi-language text
 	 * by modifying only some of the attributes.<BR>
-	 * This method overrides the clone method from {@link DerivedUnitBase DerivedUnitBase}.
+	 * This method overrides the clone method from {@link DerivedUnit DerivedUnit}.
 	 * 
-	 * @see DerivedUnitBase#clone()
+	 * @see DerivedUnit#clone()
 	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
 	 * @see java.lang.Object#clone()
 	 */
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermBase.java
index e0d260534f..2080323ce4 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermBase.java
@@ -20,7 +20,6 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.location.NamedArea;
@@ -30,7 +29,6 @@ import eu.etaxonomy.cdm.model.name.Rank;
 
 /**
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:23
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -39,7 +37,6 @@ import eu.etaxonomy.cdm.model.name.Rank;
 })
 @XmlSeeAlso({
 	RelationshipTermBase.class,
-	Modifier.class,
 	PresenceAbsenceTermBase.class,
 	State.class,
 	NamedArea.class,
@@ -69,14 +66,22 @@ public abstract class OrderedTermBase<T extends OrderedTermBase> extends Defined
 	public int getOrderIndex() {
 		return orderIndex;
 	}
-		
-	public OrderedTermBase() {
-		super();
+
+// *********************** CONSTRUCTOR *************************/
+	
+	//for JAXB only, TODO needed?
+    @Deprecated
+    protected OrderedTermBase(){}
+	
+	protected OrderedTermBase(TermType type) {
+		super(type);
 	}
-	public OrderedTermBase(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	public OrderedTermBase(TermType type, String term, String label, String labelAbbrev) {
+		super(type, term, label, labelAbbrev);
 	}	
 	
+// **************************** METHODS ******************************/	
+	
 	/**
 	 * Compares this OrderedTermBase with the specified OrderedTermBase for
 	 * order. Returns a negative integer, zero, or a positive integer as the
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabulary.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabulary.java
index 6566543ffd..9329467c17 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabulary.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OrderedTermVocabulary.java
@@ -43,14 +43,36 @@ public class OrderedTermVocabulary<T extends OrderedTermBase> extends TermVocabu
 	private static final Logger logger = Logger.getLogger(OrderedTermVocabulary.class);
 
 // ************************* FACTORY METHODS ***********************************************/
+
+	
+	/**
+	 * @param type the {@link TermType term type}, must be the same as for all included terms
+	 * @return
+	 * @throws NullPointerException if type is <code>null</code>
+	 */
+	public static OrderedTermVocabulary NewInstance(TermType type){
+		return new OrderedTermVocabulary(type);
+	}
+	
 	
-	public static OrderedTermVocabulary NewInstance(String term, String label, String labelAbbrev, URI termSourceUri){
-		return new OrderedTermVocabulary(term, label, labelAbbrev, termSourceUri);
+	/**
+	 * @param type the {@link TermType term type}, must be the same as for all included terms
+	 * @param description the description of this vocabulary
+	 * @param label 
+	 * @param labelAbbrev
+	 * @param termSourceUri
+	 * @return
+	 * @throws NullPointerException if type is <code>null</code>
+	 */
+	public static OrderedTermVocabulary NewInstance(TermType type, String description, String label, String labelAbbrev, URI termSourceUri){
+		return new OrderedTermVocabulary(type, description, label, labelAbbrev, termSourceUri);
 	}
 	
 	
 //************************ CONSTRUCTOR *****************************************************/	
 
+	//for hibernate use only
+	@Deprecated
 	protected OrderedTermVocabulary() {
 		super();
 	}
@@ -60,8 +82,17 @@ public class OrderedTermVocabulary<T extends OrderedTermBase> extends TermVocabu
 	 * @param label
 	 * @param termSourceUri
 	 */
-	protected OrderedTermVocabulary(String term, String label, String labelAbbrev, URI termSourceUri) {
-		super(term, label, labelAbbrev, termSourceUri);
+	protected OrderedTermVocabulary(TermType type) {
+		super(type);
+	}
+	
+	/**
+	 * @param term
+	 * @param label
+	 * @param termSourceUri
+	 */
+	protected OrderedTermVocabulary(TermType type, String term, String label, String labelAbbrev, URI termSourceUri) {
+		super(type, term, label, labelAbbrev, termSourceUri);
 	}
 
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceBase.java
index e3fbedc1b9..476d27e1e8 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceBase.java
@@ -12,24 +12,22 @@ package eu.etaxonomy.cdm.model.common;
 
 import javax.persistence.Column;
 import javax.persistence.Entity;
-import javax.persistence.FetchType;
 import javax.persistence.Inheritance;
 import javax.persistence.InheritanceType;
-import javax.persistence.JoinColumn;
+import javax.validation.constraints.NotNull;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlAttribute;
 import javax.xml.bind.annotation.XmlElement;
-import javax.xml.bind.annotation.XmlIDREF;
 import javax.xml.bind.annotation.XmlRootElement;
-import javax.xml.bind.annotation.XmlSchemaType;
 import javax.xml.bind.annotation.XmlType;
 
 import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
-import org.hibernate.annotations.Any;
 import org.hibernate.annotations.Table;
+import org.hibernate.annotations.Type;
 import org.hibernate.envers.Audited;
-import org.hibernate.envers.NotAudited;
+import org.springframework.util.Assert;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 
@@ -44,7 +42,8 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "OriginalSource", propOrder = {
-    "idInSource",
+    "type",
+	"idInSource",
     "idNamespace"
 })
 @XmlRootElement(name = "OriginalSource")
@@ -52,11 +51,24 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 @Audited
 @Inheritance(strategy=InheritanceType.SINGLE_TABLE)
 @Table(appliesTo="OriginalSourceBase")
-public abstract class OriginalSourceBase<T extends ISourceable> extends ReferencedEntityBase implements Cloneable, IOriginalSource<T> {
+public abstract class OriginalSourceBase<T extends ISourceable> extends ReferencedEntityBase implements IOriginalSource<T>, Cloneable {
 	private static final long serialVersionUID = -1972959999261181462L;
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(OriginalSourceBase.class);
 	
+	/**
+	 * The {@link OriginalSourceType type} of this source. According to PROV the type has to be thought as 
+	 * an activity that leads from the source entity to the current entity. It is not a property of the
+	 * source itself.
+	 */
+	@XmlAttribute(name ="type")
+	@Column(name="sourceType")
+	@NotNull
+    @Type(type = "eu.etaxonomy.cdm.hibernate.EnumUserType",
+    	parameters = {@org.hibernate.annotations.Parameter(name="enumClass", value="eu.etaxonomy.cdm.model.common.OriginalSourceType")}
+    )
+	private OriginalSourceType type;
+	
 	//The object's ID in the source, where the alternative string comes from
 	@XmlElement(name = "IdInSource")
 	private String idInSource;
@@ -64,13 +76,27 @@ public abstract class OriginalSourceBase<T extends ISourceable> extends Referenc
 	@XmlElement(name = "IdNamespace")
 	private String idNamespace;
 
+//***************** CONSTRUCTOR ***********************/	
+
+	//for hibernate use only
+	protected OriginalSourceBase() {
+		
+	}
+	
 	/**
 	 * Constructor
+	 * @param type2 
 	 */
-	protected OriginalSourceBase(){
-		super();
+	protected OriginalSourceBase(OriginalSourceType type){
+		if (type == null){
+			throw new IllegalArgumentException("OriginalSourceType must not be null");
+		}
+		this.type = type;
 	}
 
+//**************** GETTER / SETTER *******************************/
+
+
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.cdm.model.common.IOriginalSource#getIdInSource()
 	 */
@@ -98,6 +124,16 @@ public abstract class OriginalSourceBase<T extends ISourceable> extends Referenc
 	public void setIdNamespace(String idNamespace) {
 		this.idNamespace = idNamespace;
 	}
+	
+
+	public OriginalSourceType getType() {
+		return type;
+	}
+
+	public void setType(OriginalSourceType type) {
+		Assert.notNull(type, "OriginalSourceType must not be null");
+		this.type = type;
+	}
 
 	
 //********************** CLONE ************************************************/
@@ -107,7 +143,7 @@ public abstract class OriginalSourceBase<T extends ISourceable> extends Referenc
 	 */
 	@Override
 	public Object clone() throws CloneNotSupportedException{
-		OriginalSourceBase result = (OriginalSourceBase)super.clone();
+		OriginalSourceBase<?> result = (OriginalSourceBase<?>)super.clone();
 		
 		//no changes to: idInSource, sourcedObj
 		return result;
@@ -123,4 +159,5 @@ public abstract class OriginalSourceBase<T extends ISourceable> extends Referenc
 			return super.toString();
 		}
 	}
+
 }
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceType.java
new file mode 100644
index 0000000000..7a7fb3a626
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/OriginalSourceType.java
@@ -0,0 +1,167 @@
+// $Id$
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.model.common;
+
+import java.io.Serializable;
+import java.util.Set;
+import java.util.UUID;
+
+import javax.xml.bind.annotation.XmlEnum;
+import javax.xml.bind.annotation.XmlEnumValue;
+
+import org.apache.log4j.Logger;
+
+
+
+/**
+ * The original source type is used to define the type of an {@link OriginalSourceBase original source}.<BR>
+ * It is used to distinguish e.g. data lineage when importing data from one database to another from e.g. content oriented
+ * sources such as the citation in a book.
+ * In future they may come further source types. 
+ * @author a.mueller
+ * @created 15.05.2013
+ */
+@XmlEnum
+public enum OriginalSourceType implements IEnumTerm<OriginalSourceType>, Serializable{
+	
+	//0
+	/**
+	 * Unknown provenance is the type to be used if no information is available about the type
+	 * of activity that happened.
+	 *   
+	 */
+	@XmlEnumValue("Unknown")
+	Unknown(UUID.fromString("b48a443c-05f2-47ff-b885-1d3bd31118e1"), "Unknown Provenance", "UNK", null),
+	
+	//1
+	/**
+	 * Primary Taxonomic Source describes the sources a taxonomist uses to gather certain information. 
+	 * E.g. a taxonomist may have used three books/articles/other references to gather information
+	 * about the distribution status of a taxon.
+	 * He/she will store these references as original source of type Primary Taxonomic Source.
+	 * This is a specialization of PROV-O Primary Source 
+	 * ({@link http://www.w3.org/TR/2013/REC-prov-o-20130430/#PrimarySource})
+	 *   
+	 */
+	@XmlEnumValue("Primary Taxonomic Source")
+	PrimaryTaxonomicSource(UUID.fromString("c990beb3-3bc9-4dad-bbdf-9c11683493da"), "Primary Taxonomic Source", "PTS", null),
+	
+	//2
+	/**
+	 * Data Lineage describes the data life cycle of electronically available data. A typical
+	 * use-case for data lineage is a data import from one database to another. Sources of 
+	 * type data lineage will store information about the original database and the identifier 
+	 * and table (->namespace) used in the original database.
+	 * There are multiple types of data lineage: Blackbox, Dispatcher, Aggregator 
+	 * ({@link http://de.wikipedia.org/wiki/Data-Lineage})  
+	 */
+	@XmlEnumValue("Data Lineage")
+	Lineage(UUID.fromString("4f9fdf9a-f3b5-490c-96f0-90e050599b0e"), "Data Lineage", "DLI", null),
+
+	//3
+	/**
+	 * Database Import is a specialization of {@value #Lineage}. It describes the electronic
+	 * import of data from an external datasource into the given datasource. This step may
+	 * include data transformations also but the primary process is the import of data.
+	*/
+	@XmlEnumValue("Database Import")
+	Import(UUID.fromString("2a3902ff-06a7-4307-b542-c743e664b8f2"), "Database Import", "DIM", Lineage),
+
+	//4
+	/**
+	 * Data Transformation is a specialization of {@value #Lineage} and describes a data 
+	 * transformation process that happens primarily  on the given dataset but may also 
+	 * include external data.
+	 */
+	@XmlEnumValue("Data Transformation")
+	Transformation(UUID.fromString("d59e80e5-cbb7-4658-b74d-0626bbb0da7f"), "Data Transformation", "TRA", Lineage),
+
+
+	//5
+	/**
+	 * Data aggregation is a spcification of {@value #Lineage} and describes the 
+	 * data transformation process that primarily includes data aggregation processes 
+	 * but may also include data imports and transformations.
+	 */
+	@XmlEnumValue("Data Aggregation")
+	Aggregation(UUID.fromString("944f2f40-5144-4c81-80d9-f61aa10507b8"), "Data Aggregation", "DAG", Lineage),
+
+	//6
+	/**
+	 * <code>Other</code> is the type to be used if none of the other types is applicable.
+	 */
+	@XmlEnumValue("Other")
+	Other(UUID.fromString("b7c4b7fe-0aef-428a-bb7b-9153a11bf845"), "Other", "OTH", null),
+
+	//7
+	/**
+	 * Primary Media Source describes the original source for any media file. 
+	 * E.g. a taxonomist may have used three books/articles/other references to gather information
+     *
+	 * This is a specialization of PROV-O Primary Source 
+	 * ({@link http://www.w3.org/TR/2013/REC-prov-o-20130430/#PrimarySource})
+	 *   
+	 */
+	@XmlEnumValue("Primary Media Source")
+	PrimaryMediaSource(UUID.fromString("72be3615-a6da-4728-948a-b3c5797fa4bc"), "Primary Media Source", "PMS", null),
+
+	;
+	
+	
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(OriginalSourceType.class);
+
+
+	private OriginalSourceType(UUID uuid, String defaultString, String key, OriginalSourceType parent){
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, defaultString, key, parent);
+	}
+
+
+
+// *************************** DELEGATE **************************************/	
+	
+	private static EnumeratedTermVoc<OriginalSourceType> delegateVoc;
+	private IEnumTerm<OriginalSourceType> delegateVocTerm;
+
+	static {
+		delegateVoc = EnumeratedTermVoc.getVoc(OriginalSourceType.class);
+	}
+	
+	@Override
+	public String getKey(){return delegateVocTerm.getKey();}
+	
+	@Override
+    public String getMessage(){return delegateVocTerm.getMessage();}
+
+	@Override
+    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+		
+	@Override
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+	@Override
+    public OriginalSourceType getKindOf() {return delegateVocTerm.getKindOf();}
+	
+	@Override
+    public Set<OriginalSourceType> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+	
+	@Override
+	public boolean isKindOf(OriginalSourceType ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
+
+	@Override
+    public Set<OriginalSourceType> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+	
+	public static OriginalSourceType getByKey(String key){return delegateVoc.getByKey(key);}
+    public static OriginalSourceType getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
+
+
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ReferencedEntityBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ReferencedEntityBase.java
index f8a7450bd0..5e49922e92 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ReferencedEntityBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/ReferencedEntityBase.java
@@ -63,10 +63,14 @@ public abstract class ReferencedEntityBase extends AnnotatableEntity implements
     @XmlElement(name = "OriginalNameString")
 	private String originalNameString;
 
-	public ReferencedEntityBase() {
+// ************ CONSTRUCTOR ********************************************/    
+    
+	//for hibernate use only
+    protected ReferencedEntityBase() {
 		super();
 	}
 
+	
 
 	public ReferencedEntityBase(Reference citation, String citationMicroReference,
 			String originalNameString) {
@@ -76,6 +80,8 @@ public abstract class ReferencedEntityBase extends AnnotatableEntity implements
 		this.citation = citation;
 	}
 	
+//********************* GETTER / SETTER *******************************/	
+	
 	public String getCitationMicroReference(){
 		return this.citationMicroReference;
 	}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipBase.java
index 339e2e9ab6..6fdbdff1ad 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipBase.java
@@ -120,7 +120,7 @@ public abstract class RelationshipBase<FROM extends IRelated, TO extends IRelate
     /**
      * A boolean flag that marks the relationship between two objects as doubtful
      * Please be aware that this flag should not be used to mark any status of the
-     * objects themselfs. E.g. when marking a synonym relationship as doubtful
+     * objects themselves. E.g. when marking a synonym relationship as doubtful
      * this means that it is doubtful that the synonym is really a synonym to the
      * taxon. It does not mean that the synonym is doubtfully a synonym.
      * @return true, if the relationship is doubtful, false otherwise
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipTermBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipTermBase.java
index d0374270a8..8d95927170 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipTermBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/RelationshipTermBase.java
@@ -84,10 +84,18 @@ public abstract class RelationshipTermBase<T extends RelationshipTermBase> exten
 	@IndexedEmbedded(depth = 2)
 	private Set<Representation> inverseRepresentations = new HashSet<Representation>();
 
-	public RelationshipTermBase() {
+//******************** CONSTRUCTOR ************************/
+	
+    //for JAXB only, TODO needed?
+    @Deprecated
+    private RelationshipTermBase(){super();}
+
+	
+	protected RelationshipTermBase(TermType type) {
+		super(type);
 	}
-	public RelationshipTermBase(String term, String label, String labelAbbrev, boolean symmetric, boolean transitive) {
-		super(term, label, labelAbbrev);
+	public RelationshipTermBase(TermType type, String term, String label, String labelAbbrev, boolean symmetric, boolean transitive) {
+		super(type, term, label, labelAbbrev);
 		setSymmetric(symmetric);
 		setTransitive(transitive);
 	}
@@ -213,8 +221,8 @@ public abstract class RelationshipTermBase<T extends RelationshipTermBase> exten
 	}
 
 	@Override
-	public T readCsvLine(Class<T> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
-		T newInstance = super.readCsvLine(termClass, csvLine, terms);
+	public T readCsvLine(Class<T> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms, boolean abbrevAsId) {
+		T newInstance = super.readCsvLine(termClass, csvLine, terms, abbrevAsId);
 
 		String inverseText = csvLine.get(6).trim();
 		String inverseLabel = csvLine.get(5).trim();
@@ -247,7 +255,7 @@ public abstract class RelationshipTermBase<T extends RelationshipTermBase> exten
 	 */
 	@Override
 	public Object clone() {
-		RelationshipTermBase result = (RelationshipTermBase)super.clone();
+		RelationshipTermBase<?> result = (RelationshipTermBase<?>)super.clone();
 
 		result.inverseRepresentations = new HashSet<Representation>();
 		for (Representation rep: this.inverseRepresentations){
